> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/api/response-format.md).

# 响应格式

本文档说明合作伙伴服务器 API 的通用响应格式。

所有响应都被通用信封（envelope）包裹。

成功：

```json
{"resultType": "SUCCESS", "success": { ... }}
```

失败：

```json
{"resultType": "FAIL", "success": null, "error": {"errorType": 0, "errorCode": "4010", "reason": "...", "data": {}, "title": null}}
```

**业务错误以 HTTP 200 响应。** `resultType`如果是 `SUCCESS`确认后， `SUCCESS`将非该值的值都视为失败。请求格式错误（字段验证失败）以 HTTP 400 响应，未分类的服务器错误以 HTTP 500 响应。如果超过请求限制，则在 HTTP 200 中 `errorCode: "4095"`和 `error.data.retryAfterSeconds`会返回。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/api/response-format.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
